<?php
/**
 * Header Media Options
 *
 * @package High_Responsive
 */

/**
 * Add Header Media options
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function fotografie_header_media_options( $wp_customize ) {
	$wp_customize->get_section( 'header_image' )->description = esc_html__( 'If you add video, it will only show up on Homepage/FrontPage. Other Pages will use Header/Post/Page Image depending on your selection of option. Header Image will be used as a fallback while the video loads', 'fotografie-pro' );

	$wp_customize->add_setting( 'fotografie_header_media_option', array(
		'default'           => 'homepage',
		'sanitize_callback' => 'fotografie_sanitize_select',
	) );

	$wp_customize->add_control( 'fotografie_header_media_option', array(
		'choices'           => array(
			'homepage'               => esc_html__( 'Homepage / Frontpage', 'fotografie-pro' ),
			'exclude-home'           => esc_html__( 'Excluding Homepage', 'fotografie-pro' ),
			'exclude-home-page-post' => esc_html__( 'Excluding Homepage, Page/Post Featured Image', 'fotografie-pro' ),
			'entire-site'            => esc_html__( 'Entire Site', 'fotografie-pro' ),
			'entire-site-page-post'  => esc_html__( 'Entire Site, Page/Post Featured Image', 'fotografie-pro' ),
			'pages-posts'            => esc_html__( 'Pages and Posts', 'fotografie-pro' ),
			'disable'                => esc_html__( 'Disabled', 'fotografie-pro' ),
		),
		'label'             => esc_html__( 'Enable on ', 'fotografie-pro' ),
		'section'           => 'header_image',
		'type'              => 'select',
		'priority'          => 1,
	) );
	
}
add_action( 'customize_register', 'fotografie_header_media_options' );
