<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fotografie Pro
 */

get_header(); ?>

	<div class="wrapper singular-section">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'components/page/content', 'page' );

					$comment_select = get_theme_mod( 'fotografie_comment_option', 'use-wordpress-setting' );

					if ( 'use-wordpress-setting' === $comment_select && ( comments_open() || get_comments_number() ) ) {
						comments_template();
					} elseif ( 'disable-in-pages' === $comment_select && ( ! is_page() && ( comments_open() || get_comments_number() ) ) ) {
						comments_template();
					}

				endwhile; // End of the loop.
				?>
			</main><!-- #main -->
		</div><!-- #primary -->
		<?php get_sidebar(); ?>
	</div><!-- .wrapper -->
<?php
get_footer();
