<?php
/**
 * The Template for displaying all single projects
 *
 * @package Fotografie Pro
 */

get_header(); ?>

	<div class="wrapper singular-section page-section">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'components/features/portfolio/content', 'portfolio-single' );

					// Previous/next post navigation.
					the_post_navigation( array(
						'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'fotografie-pro' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Next post:', 'fotografie-pro' ) . '</span> ' .
							'<span class="post-title">%title</span>',
						'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'fotografie-pro' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Previous post:', 'fotografie-pro' ) . '</span> ' .
							'<span class="post-title">%title</span>',
					) );

					$comment_select = get_theme_mod( 'fotografie_comment_option', 'use-wordpress-setting' );

					if ( 'use-wordpress-setting' === $comment_select && ( comments_open() || get_comments_number() ) ) {
						comments_template();
					} elseif ( 'disable-in-pages' === $comment_select && ( ! is_page() && ( comments_open() || get_comments_number() ) ) ) {
						comments_template();
					}

				endwhile; // End of the loop.
				?>
			</main>
		</div>
		<?php get_sidebar(); ?>
	</div><!-- .page-section -->
<?php
get_footer();
